fullcost.hh File Reference
`#include <mia/3d/transform.hh>`
`#include <mia/core/export_handler.hh>`
`#include <mia/template/fullcost.hh>`
Include dependency graph for 3d/fullcost.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef TFullCost< C3DTransformation > | C3DFullCost
| 3D version of the TFullCost
typedef TFullCostPlugin< C3DTransformation > | C3DFullCostPlugin
| plugin base class for C3DFullCost objects
typedef THandlerSingleton< TFactoryPluginHandler< C3DFullCostPlugin > > | C3DFullCostPluginHandler
| plugin handler for C3DFullCost object creation
typedef C3DFullCost::Pointer | P3DFullCost
| pointer of the 3D version of the TFullCost